> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Diff



## OpenAPI

````yaml /openapi.json get /v1/workspaces/{workspaceId}/projects/{projectId}/budget/versions/{versionId}/diff
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/projects/{projectId}/budget/versions/{versionId}/diff:
    get:
      tags:
        - Project Budget Versions
      summary: Diff
      operationId: ProjectBudgetVersionsController_diff_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
            pattern: ^[1-9]\d{0,18}$
        - name: projectId
          required: true
          in: path
          schema:
            type: string
            pattern: ^[1-9]\d{0,18}$
        - name: versionId
          required: true
          in: path
          schema:
            type: string
            pattern: ^[1-9]\d{0,18}$
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProjectBudgetVersionDiffResponseDto'
      security:
        - bearer: []
components:
  schemas:
    ProjectBudgetVersionDiffResponseDto:
      type: object
      properties:
        config:
          type: array
          items:
            $ref: '#/components/schemas/ProjectBudgetVersionChangeResponseDto'
        areas:
          type: array
          items:
            $ref: '#/components/schemas/ProjectBudgetVersionChangeResponseDto'
        categories:
          type: array
          items:
            $ref: '#/components/schemas/ProjectBudgetVersionChangeResponseDto'
      required:
        - config
        - areas
        - categories
    ProjectBudgetVersionChangeResponseDto:
      type: object
      properties:
        key:
          type: string
        field:
          type: string
        label:
          type:
            - string
            - 'null'
        detail:
          type:
            - string
            - 'null'
        from:
          type:
            - string
            - 'null'
        to:
          type:
            - string
            - 'null'
      required:
        - key
        - field
        - label
        - detail
        - from
        - to
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.